<?php namespace EscapeWork\Manager\Downloads\Models;

use EscapeWork\LaravelHelpers\BaseModel;
use EscapeWork\Manager\Medias\Helpers\SingleMediaUpload;
use InvalidArgumentException;

class Download extends BaseModel implements SingleMediaUpload
{
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'downloads';

    /**
     * Fillable fields
     */
    protected $fillable = [
        'category_id',
        'title',
        'description',
    ];

    /**
     * Validation rules
     */
    public $validationRules = [
        'category_id' => ['required'],
        'title'       => ['required'],
        'file'        => ['required'],
    ];

    /**
     * Mensagens de validação
     */
    public $validationMessages = [
        'category_id.required' => 'A categoria é obrigatória',
        'title.required'       => 'O título é obrigatório',
        'file.required'        => 'Selecione um arquivo',
    ];

    public function getSingleMediaFile()
    {
        return $this->thumb;
    }

    public function getSingleMediaFolder()
    {
        return 'files/downloads';
    }

    public function getSingleMediaName()
    {
        return 'thumb';
    }
}
